#include <iostream>
#include <string>
using namespace std;

/* Clase de objetos COrdenador.
 */
class COrdenador
{
  // Atributos
  private:
    string marca;
    string procesador;
    float peso;
    bool encendido;
    bool pantalla;
  
  // Métodos
  public:
    COrdenador()
    {
      marca = "sin marca";
      procesador = "desconocido";
      peso = 3;
      encendido = false;
      pantalla = false;
    }

    string obtenerMarca()
    {
      return marca;
    }
    
    void asignarMarca(string mar)
    {
      if (mar.length() == 0)
        marca = "marca desconocida";
      else
        marca = mar;
    }
    
    string obtenerProcesador()
    {
      return procesador;
    }
    
    void asignarProcesador(string pro)
    {
      if (pro.length() == 0)
        procesador = "procesador desconocido";
      else
        procesador = pro;
    }
    
    float obtenerPeso()
    {
      return peso;
    }
    
    void asignarPeso(float pes)
    {
      if (pes < 0)
        peso = 0;
      else
        peso = pes;
    }
    
    void EncenderOrdenador()
    {
      if (encendido == true)
      {
        cout << "El ordenador ya está encendido\n";
      }
      else 
      {
        encendido = true;
        pantalla = true;
        cout << "El ordenador ha sido encendido\n";
      }
    }
    
    void ApagarOrdenador()
    {
      if (encendido == false)
      {
        cout << "El ordenador ya está apagado\n";
      }
      else 
      {
        encendido = false;
        cout << "El ordenador ha sido apagado\n";
      }
    }
    
    void ActivarPantalla()
    {
      if (pantalla == true)
      {
        cout << "La pantalla ya está activada\n";
      }
      else 
      {
        pantalla = true;
        cout << "La pantalla ha sido activada\n";
      }
    }
    
    void DesactivarPantalla()
    {
      if (pantalla == false)
      {
        cout << "La pantalla ya está desactivada";
      }
      else 
      {
        pantalla = false;
        cout << "La pantalla ha sido desactivada";
      }
    }
    
   void Estado()
    {
      cout << "\nEl estado del ordenador es el siguiente:";
      cout << "\nMarca: " << marca;
      cout << "\nProcesador: " << procesador;
      cout << "\nPeso: " << peso << " kg.\n";
    
      if (encendido == true)
      {
        cout << "El ordenador está encendido\n";
      }
      else
        cout << "El ordenador está apagado\n";
    
      if (pantalla == true)
      {
        cout << "La pantalla está activada\n";
      }
      else
        cout << "La pantalla está desactivada\n";
    }
}; 

/* Función main
 */
int main()
{
  COrdenador miordenador;
  miordenador.asignarMarca("Dell");
  miordenador.asignarProcesador("Pentium M Centrino");
  miordenador.asignarPeso(3);
  miordenador.EncenderOrdenador();
  miordenador.Estado();
  miordenador.DesactivarPantalla();
  miordenador.Estado();
  miordenador.ApagarOrdenador();
}

